/* $Id: job.h 20 2010-12-07 01:41:51Z mmatloka $ */
/*
 * PSNC DRMAA for LL
 * Copyright (C) 2010 Poznan Supercomputing and Networking Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LL_DRMAA__JOB_H
#define __LL_DRMAA__JOB_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <drmaa_utils/job.h>
#include <drmaa_utils/environ.h>

#include <llapi.h>

typedef struct lldrmaa_job_s lldrmaa_job_t;

fsd_job_t *
lldrmaa_job_new(char *job_id );

struct lldrmaa_job_s {
	fsd_job_t super;

	void (*read_job_info_mon)( fsd_job_t *self, const char * state , unsigned status);
	void (*read_job_info)( fsd_job_t *self, enum StepState step_state, enum HoldType hold_type );
};

char* lldrmaa_job_create_req(fsd_drmaa_session_t *session, const fsd_template_t *jt, fsd_environ_t **envp, unsigned bulk, int start, int incr);
char* lldrmaa_job_create_command_file( fsd_drmaa_session_t *session, const fsd_template_t *jt, fsd_environ_t **envp, fsd_expand_drmaa_ph_t *expand, unsigned n_jobs, int start, int incr);

#endif /* __LL_DRMAA__JOB_H */

