/* $Id: session.h 20 2010-12-07 01:41:51Z mmatloka $ */
/*
 * PSNC DRMAA for LL
 * Copyright (C) 2010 Poznan Supercomputing and Networking Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LL_DRMAA__SESSION_H
#define __LL_DRMAA__SESSION_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <drmaa_utils/session.h>

typedef struct lldrmaa_session_s lldrmaa_session_t;

fsd_drmaa_session_t *
lldrmaa_session_new( const char *contact );

struct lldrmaa_session_s {
	fsd_drmaa_session_t super;

	void (*super_apply_configuration)(fsd_drmaa_session_t *self);
	void (*super_destroy_nowait)( fsd_drmaa_session_t *self );

	bool terminate_job_on_vacated;
	char *unix_socket_name;
	int socket_fd;
};

#endif /* __LL_DRMAA__SESSION_H */

