/* $Id: util.h 20 2010-12-07 01:41:51Z mmatloka $ */
/*
 * PSNC DRMAA for LL
 * Copyright (C) 2010 Poznan Supercomputing and Networking Center
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __LL_DRMAA__UTIL_H
#define __LL_DRMAA__UTIL_H

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif

#include <llapi.h>

#define LL_CKPT_UNCLEAR 1
#define LL_CKPT_ERROR -1
#define LL_CKPT_JOB_ID_ERR -2
#define LL_CKPT_MALLOC_ERR -3
#define LL_CKPT_SOCKET_ERR -4
#define LL_CKPT_CONF_ERR -6

#define LL_GET_DATA_NOT_VALID_LLAPI_SPECIFICATION_ERR -2

#define LL_GET_OBJS_QUERY_ELEMENT_NOT_VALID_ERR -1
#define LL_GET_OBJS_QUERY_DEAMON_NOT_VALID_ERR -2
#define LL_GET_OBJS_HOSTNAME_ERR -3
#define LL_GET_OBJS_INVALID_REQUEST_ERR -4
#define LL_GET_OBJS_SYS_ERR -5
#define LL_GET_OBJS_NO_OBJECTS_ERR -6
#define LL_GET_OBJS_CONF_ERR -7
#define LL_GET_OBJS_DEAMON_CONNECTION_ERR -9
#define LL_GET_OBJS_HISTORY_F_PROCESS_ERR -10
#define LL_GET_OBJS_NO_HISTORY_FILE -11
#define LL_GET_OBJS_HISTORY_F_NO_ACCES_ERR -12

#define LL_SET_REQUEST_QUERY_FLAG_NOT_VALID_ERR -2
#define LL_SET_REQUEST_OBJ_FILTER_NOT_VALID_ERR -3
#define LL_SET_REQUEST_DATA_FILTER_NOT_VALID_ERR -4
#define LL_SET_REQUEST_SYS_ERR -5

#define LL_PREEMPT_JOBS_VERSION_ERR -3
#define LL_PREEMPT_JOBS_SYS_ERR -5

#define LL_SUBMIT_ERROR -1

const char * lldrmaa_err_ckpt(int _llerrno);
const char * lldrmaa_err_control(int _llerrno);
const char * lldrmaa_err_get_data(int _llerrno);
const char * lldrmaa_err_get_objs(int _llerrno);
const char * lldrmaa_err_preempt_jobs(int _llerrno);
const char * lldrmaa_err_set_request(int _llerrno);
const char * lldrmaa_err_submit(int _llerrno);
const char * lldrmaa_err_terminate_job(int _llerrno);

int lldrmaa_map_ckpt(int _llerrno);
int lldrmaa_map_control( int _llerrno );
int lldrmaa_map_get_data(int _llerrno);
int lldrmaa_map_get_objs(int _llerrno);
int lldrmaa_map_preempt_jobs(int _llerrno);
int lldrmaa_map_set_request(int _llerrno);
int lldrmaa_map_submit(int _llerrno);
int lldrmaa_map_terminate_job(int _llerrno);

#endif /* __LL_DRMAA__UTIL_H */
